#
# spec file for package zathura-plugin-cb
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define realname zathura-cb
Name:           zathura-plugin-cb
Version:        0.1.10
Release:        bp155.1.8
Summary:        Comic book support for zathura
License:        Zlib
Group:          Productivity/Office/Other
URL:            http://pwmt.org/projects/zathura/plugins/zathura-cb/
Source:         https://pwmt.org/projects/zathura-cb/download/%{realname}-%{version}.tar.xz
BuildRequires:  meson > 0.43
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(girara-gtk3)
BuildRequires:  pkgconfig(libarchive)
BuildRequires:  pkgconfig(zathura)
Requires:       zathura
Provides:       zathura-cb-plugin

%description
The zathura-cb plugin adds comic book support to zathura.

%prep
%setup -q -n %{realname}-%{version}

%build
export CFLAGS="%{optflags}"
%meson
%meson_build

%install
%meson_install
find %{buildroot} -name '*.desktop' -delete -print

%files -n %{name}
%license LICENSE
%doc AUTHORS
%dir %{_libdir}/zathura
%{_libdir}/zathura/libcb.so
%{_datadir}/metainfo/org.pwmt.zathura-cb.metainfo.xml

%changelog
* Mon Sep 19 2022 Ondřej Súkup <mimi.vx@gmail.com>
- update to 0.1.10
  * Various bug fixes and improvements
* Wed Aug  8 2018 jengelh@inai.de
- Use noun phrase in summary.
- Remove unnecessary ldconfig calls for plugins.
* Sat May 26 2018 mimi.vx@gmail.com
- update to 0.1.8
- build with meson
* Fri Jan 26 2018 mimi.vx@gmail.com
- update to 0.1.6
  * adapt to new plugin interface
* Wed Feb 24 2016 mimi.vx@gmail.com
- update to 0.1.5
  * Fix issue where archive_read_data_block returns a NP buffer
  * Advertise URL support
* Fri Nov 21 2014 mimi.vx@gmail.com
- add requires
* Sun Nov 16 2014 mimi.vx@gmail.com
- rename to zathura-plugin-cb
* Tue Oct 28 2014 mimi.vx@gmail.com
- change licence Zlib
* Mon Oct 27 2014 mimi.vx@gmail.com
- SFLAGS="" to get debuginfo
* Thu Oct 23 2014 mimi.vx@gmail.com
- initial commit of zathura cb plugin
